from django.db import models
from django.contrib import admin
from swampdragon.serializers.model_serializer import ModelSerializer
from swampdragon.models import SelfPublishModel

class NoteSerializer(ModelSerializer):
    class Meta:
        model = 'notes.Note'
        publish_fields = ('text','last_updated')

class Note(SelfPublishModel, models.Model):
    text = models.CharField(max_length=255)
    last_updated = models.DateTimeField(auto_now=True)
    serializer_class = NoteSerializer
admin.site.register(Note)
